# Generated by go2rpm
%ifnarch %{ix86} %{arm} s390x
%bcond_without check
%endif
%bcond_with bootstrap

# https://github.com/google/certificate-transparency-go
%global goipath         github.com/google/certificate-transparency-go
Version:                1.0.21

%gometa

%global goipaths0       github.com/google/certificate-transparency-go
%global goipathsex0     github.com/google/certificate-transparency-go/trillian github.com/google/certificate-transparency-go/ctutil github.com/google/certificate-transparency-go/scanner github.com/google/certificate-transparency-go/client/ctclient github.com/google/certificate-transparency-go/gossip/minimal

%if %{without bootstrap}
%global goipaths1       github.com/google/certificate-transparency-go/trillian github.com/google/certificate-transparency-go/ctutil github.com/google/certificate-transparency-go/scanner github.com/google/certificate-transparency-go/client/ctclient github.com/google/certificate-transparency-go/gossip/minimal
%endif

%global common_description %{expand:
Package Ct holds core types and utilities for Certificate Transparency.}

%global golicenses      LICENSE
%global godocs          AUTHORS CONTRIBUTING.md CHANGELOG.md CONTRIBUTORS\\\
                        README.md examples

Name:           %{goname}
Release:        2%{?dist}
Summary:        Auditing for TLS certificates, Go code

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/coreos/etcd/clientv3)
BuildRequires:  golang(github.com/coreos/etcd/clientv3/concurrency)
BuildRequires:  golang(github.com/coreos/etcd/clientv3/naming)
BuildRequires:  golang(github.com/golang/glog)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/any)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/duration)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
%if %{without bootstrap}
BuildRequires:  golang(github.com/google/trillian)
BuildRequires:  golang(github.com/google/trillian/client)
BuildRequires:  golang(github.com/google/trillian/client/backoff)
BuildRequires:  golang(github.com/google/trillian/crypto)
BuildRequires:  golang(github.com/google/trillian/crypto/keys)
BuildRequires:  golang(github.com/google/trillian/crypto/keys/der)
BuildRequires:  golang(github.com/google/trillian/crypto/keys/der/proto)
BuildRequires:  golang(github.com/google/trillian/crypto/keys/pem)
BuildRequires:  golang(github.com/google/trillian/crypto/keys/pem/proto)
BuildRequires:  golang(github.com/google/trillian/crypto/keys/pkcs11/proto)
BuildRequires:  golang(github.com/google/trillian/crypto/keyspb)
BuildRequires:  golang(github.com/google/trillian/merkle)
BuildRequires:  golang(github.com/google/trillian/merkle/rfc6962)
BuildRequires:  golang(github.com/google/trillian/monitoring)
BuildRequires:  golang(github.com/google/trillian/monitoring/opencensus)
BuildRequires:  golang(github.com/google/trillian/monitoring/prometheus)
BuildRequires:  golang(github.com/google/trillian/storage/testonly)
BuildRequires:  golang(github.com/google/trillian/testonly/integration)
BuildRequires:  golang(github.com/google/trillian/types)
BuildRequires:  golang(github.com/google/trillian/util)
%endif
BuildRequires:  golang(github.com/juju/ratelimit)
BuildRequires:  golang(github.com/kylelemons/godebug/pretty)
BuildRequires:  golang(github.com/mattn/go-sqlite3)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/rs/cors)
BuildRequires:  golang(github.com/tomasen/realip)
BuildRequires:  golang(golang.org/x/crypto/cryptobyte)
BuildRequires:  golang(golang.org/x/crypto/cryptobyte/asn1)
BuildRequires:  golang(golang.org/x/net/context/ctxhttp)
BuildRequires:  golang(google.golang.org/genproto/protobuf/field_mask)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/balancer/roundrobin)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/naming)
BuildRequires:  golang(google.golang.org/grpc/status)

%if %{with check}
# Tests
%if %{without bootstrap}
BuildRequires:  golang(github.com/google/trillian/crypto/keys/testonly)
BuildRequires:  golang(github.com/google/trillian/storage/testdb)
%endif
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%if %{with bootstrap}
%gocheck -t trillian -t ctutil -d gossip/minimal -d scanner
%else
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 07 00:09:15 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.21-1
- Initial package
